../../lib/libripau.a: au_main.o au_util.o au_plugins.o au_rpsl.o au_ripe.o au_irt.o
	$(AR) -r ../../lib/libripau.a au_main.o au_util.o au_plugins.o \
                                      au_rpsl.o au_ripe.o au_irt.o
	$(AR) -r $(RIPLIBDIR)/librip.a au_main.o au_util.o au_plugins.o \
                                      au_rpsl.o au_ripe.o au_irt.o

include ../Makefile.module

au_main.o: au_main.c

au_main.c: au.h au_plugins.h ../ut/memwrap.h ../ca/ca_macros.h 
	touch au_main.c

au_util.o: au_util.c

au_util.c: au_util.h ../cr/cr.h ../ca/ca_macros.h ../ca/ca_dictionary.h \
           ../ca/ca_defs.h ../ca/ca_configFns.h ../ut/memwrap.h ../lu/lu.h
	touch au_util.c

au_util.h: au_plugins.h
	touch au_util.h

au.h: ../rpsl/syntax_api.h ../rt/rt.h ../lg/lg.h ../lu/lu.h
	touch au.h

au_plugins.c: au_plugins.h
	touch au_plugins.c

au_plugins.h: au.h ../pg/pg.h
	touch au_plugins.h

au_rpsl.o: au_rpsl.c

au_rpsl.c: au_plugins.h au_util.h ../ut/memwrap.h
	touch au_rpsl.c

au_ripe.o: au_ripe.c

au_ripe.c: au_plugins.h au_util.h ../ut/memwrap.h
	touch au_ripe.c

au_irt.o: au_irt.c

au_irt.c: au_plugins.h au_util.h ../ut/memwrap.h
	touch au_irt.c

test: test_au_dbupdate.c
	$(CC) $(CFLAGS) -o test_au_dbupdate test_au_dbupdate.c $(LFLAGS) \
        $(LIBS) -lpthread \
        -lripau -lriplu -lrippg -lripcr -lriprt -lripsk -lripip -lripco \
        -lrippr -lripca -lriplg -lriput -lrpsl -lxslt -lxml2

